apiVersion: postgresql.cnpg.io/v1
kind: Cluster
metadata:
  annotations:
    a8r.io/repository: ssh://git@git.tr1ceracop.de:222/gitea_admin/k8s-and-chill.git
    argocd.argoproj.io/sync-wave: "-1"
  name: synapse-cnpg
  namespace: matrix
spec:
  bootstrap:
    initdb:
      database: synapse
      localeCType: C
      localeCollate: C
      owner: synapse
  instances: 1
  postgresql:
    parameters:
      effective_cache_size: 96MB
      maintenance_work_mem: 32MB
      max_connections: "30"
      shared_buffers: 32MB
      work_mem: 4MB
  resources:
    limits:
      memory: 128Mi
    requests:
      cpu: 50m
      memory: 64Mi
  storage:
    size: 5Gi
    storageClass: hcloud-volumes
